Package org.apache.tapestry5.ioc.internal

## Class AdvisorDefImpl

- java.lang.Object
- - org.apache.tapestry5.ioc.internal.AbstractServiceInstrumenter
  - - org.apache.tapestry5.ioc.internal.AdvisorDefImpl

- All Implemented Interfaces:
    `AdvisorDef`, `AdvisorDef2`, `Markable`

      public class AdvisorDefImpl
      extends AbstractServiceInstrumenter
      implements AdvisorDef2

- - ### Field Summary

    - ### Fields inherited from class org.apache.tapestry5.ioc.internal.AbstractServiceInstrumenter

      `constraints, idMatcher, method, proxyFactory`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AdvisorDefImpl​(java.lang.reflect.Method method, java.lang.String[] patterns, java.lang.String[] constraints, PlasticProxyFactory proxyFactory, java.lang.String advisorId, java.lang.Class serviceInterface, java.util.Set<java.lang.Class> markers)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ServiceAdvisor` | `createAdvisor​(ModuleBuilderSource moduleSource, ServiceResources resources)` | Creates an object that can provide the service advice (in the default case, by invoking the advise method on the module class or instance).
    `java.lang.String` | `getAdvisorId()` | Returns the id of the advisor, which is derived from the advisor method name.

    - ### Methods inherited from class org.apache.tapestry5.ioc.internal.AbstractServiceInstrumenter

      `getConstraints, getMarkers, getServiceInterface, matches, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tapestry5.ioc.AdvisorDef

      `getConstraints, matches`

    - ### Methods inherited from interface org.apache.tapestry5.ioc.Markable

      `getMarkers, getServiceInterface`

- - ### Constructor Detail

    - #### AdvisorDefImpl

          public AdvisorDefImpl​(java.lang.reflect.Method method,
                                java.lang.String[] patterns,
                                java.lang.String[] constraints,
                                PlasticProxyFactory proxyFactory,
                                java.lang.String advisorId,
                                java.lang.Class serviceInterface,
                                java.util.Set<java.lang.Class> markers)

  - ### Method Detail

    - #### createAdvisor

          public ServiceAdvisor createAdvisor​(ModuleBuilderSource moduleSource,
                                              ServiceResources resources)

      Description copied from interface: `AdvisorDef`
      Creates an object that can provide the service advice (in the default case, by invoking the advise method on the module class or instance).
      Specified by:
        `createAdvisor` in interface `AdvisorDef`
      Parameters:
        `moduleSource` - used to obtain the module instance
        `resources` - used to provide injections into the advise method
      Returns:
        advisor

    - #### getAdvisorId

          public java.lang.String getAdvisorId()

      Description copied from interface: `AdvisorDef`
      Returns the id of the advisor, which is derived from the advisor method name.
      Specified by:
        `getAdvisorId` in interface `AdvisorDef`